# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	2
Summary:	WireGuard is an extremely simple yet fast and modern VPN that utilizes state-of-the-art cryptography
Name:		WireGuard%{_alt_kernel}
Version:	1.0.20220627
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://git.zx2c4.com/wireguard-linux-compat/snapshot/wireguard-linux-compat-%{version}.tar.xz
# Source0-md5:	0499a3315b7013e65a07234dc83dec39
Patch0:		kernel-4.9.256.patch
URL:		https://www.wireguard.com/
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:3.10}
BuildRequires:	rpmbuild(macros) >= 1.701
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WireGuard is an extremely simple yet fast and modern VPN that utilizes
state-of-the-art cryptography. It aims to be faster, simpler, leaner,
and more useful than IPSec, while avoiding the massive headache. It
intends to be considerably more performant than OpenVPN. WireGuard is
designed as a general purpose VPN for running on embedded interfaces
and super computers alike, fit for many different circumstances.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-misc-wireguard\
Summary:	WireGuard kernel module\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-misc-wireguard\
WireGuard kernel module.\
\
%files -n kernel%{_alt_kernel}-misc-wireguard\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/*.ko*\
\
%post	-n kernel%{_alt_kernel}-misc-wireguard\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-misc-wireguard\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -C src -m wireguard\
%install_kernel_modules -D installed -m src/wireguard -d misc\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n wireguard-linux-compat-%{version}
%patch -P0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT
cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Jun 20 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/WireGuard.git;a=log;h=auto/th/WireGuard-1.0.20220627-2

* Mon Feb 10 2025 Jan Rękorajski <baggins@pld-linux.org> 82830e3
- use patch -P, rel 2

* Sat Aug 13 2022 Jan Rękorajski <baggins@pld-linux.org> f4eb68f
- up to 1.0.20220627

* Sat Feb 06 2021 Jan Rękorajski <baggins@pld-linux.org> f773a8f
- up to 1.0.20210124
- fix building with kernel 4.9.256

* Sat Nov 21 2020 Jan Rękorajski <baggins@pld-linux.org> 139f7ce
- up to 1.0.20201112

* Sat May 30 2020 Jan Rękorajski <baggins@pld-linux.org> deb45b8
- up to 1.0.20200520

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> 8ff7e6a
- fix version macros
- rel 2

* Mon May 04 2020 Jan Rękorajski <baggins@pld-linux.org> 0fe76ed
- tools had been split by upstram to wireguard-tools package
- switch sources to wireguard-linux-compat for Linux 3.10 - 5.5
- updated to 1.0.20200429

* Sun Apr 05 2020 Jan Rękorajski <baggins@pld-linux.org> fdb609f
- fix building on kernel 5.4.29+
- rel 2

* Sun Dec 22 2019 Jan Rękorajski <baggins@pld-linux.org> 2b10bf9
- up to 0.0.20191219

* Mon Nov 25 2019 Patryk Szczygłowski <patryk@patryk.net> fc2111f
- up to 0.0.20191012

* Thu Aug 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 9f63f1e
- up to 0.0.20190702

* Mon Jun 10 2019 Patryk Szczygłowski <patryk@patryk.net> 73413a0
- up to 0.0.20190601

* Tue Apr 23 2019 Patryk Szczygłowski <patryk@patryk.net> ed704a0
- up to 0.0.20190406

* Wed Jan 23 2019 Patryk Szczygłowski <patryk@patryk.net> d3bb447
- up to 0.0.20190123

* Wed Oct 24 2018 Patryk Szczygłowski <patryk@patryk.net> 522228e
- up to 0.0.20181018

* Thu Oct 04 2018 Patryk Szczygłowski <patryk@patryk.net> f6d6d91
- up to 0.0.20180925

* Thu Aug 09 2018 Patryk Szczygłowski <patryk@patryk.net> e12e8d0
- up to 0.0.20180802

* Mon Jul 30 2018 Patryk Szczygłowski <patryk@patryk.net> 8bdbb40
- up to 0.0.20180718

* Mon Jun 18 2018 Patryk Szczygłowski <patryk@patryk.net> bd5ac9e
- up to 0.0.20180613

* Tue Jun 05 2018 Patryk Szczygłowski <patryk@patryk.net> 819fc10
- up to 0.0.20180531

